#!/bin/bash

echo ""
echo "**************************************************************"
echo "** Cleaning of TLRM v1.0 Telemetry decoding temporary files **"
echo "**************************************************************"

echo ""
echo "Removing temporal data..."
rm -f adc.bin > /dev/null 2>&1

if ps aux | grep -v "grep" | grep "arecord" > /dev/null
then
    echo "arecord is running! use stop.sh script first!"
    echo ""
    exit -1
fi

if ps aux | grep -v "grep" | grep "tlrm"
then
    echo "tlrm is running! use stop.sh script first!"
    echo ""
    exit -1
fi

# remove temporary files

rm -f rx.dat  > /dev/null 2>&1
rm -f lvl.dat > /dev/null 2>&1
rm -f lvl.bin > /dev/null 2>&1
rm -f adc.bin > /dev/null 2>&1
rm -f raw1.dat >/dev/null 2>&1
rm -f phy1.dat >/dev/null 2>&1
rm -f out.pkt >/dev/null 2>&1
rm -f lvl2.dat >/dev/null 2>&1
rm -f lvl2.bin >/dev/null 2>&1
rm -f raw2.dat >/dev/null 2>&1
rm -f phy2.dat >/dev/null 2>&1
rm -f fft.dat >/dev/null 2>&1

echo "Finished!"
echo ""

