#!/bin/bash

echo ""
echo "******************************************"
echo "** Stop of TLRM v1.0 Telemetry decoding **"
echo "******************************************"

echo ""
echo "Removing temporal data..."
rm -f adc.bin > /dev/null 2>&1

echo "Stopping arecord if running..."
if ps aux | grep -v "grep" | grep "arecord" > /dev/null
then

    ps axf | grep arecord | grep -v grep | awk '{print "kill -9 " $1}' | sh
    echo "-> arecord stopped"
fi

echo "Stopping tlmrx if running..."
if ps aux | grep -v "grep" | grep "tlrm"
then

    ps axf | grep tlmrx | grep -v grep | awk '{print "kill -9 " $1}' | sh
    echo "-> tlmrx stopped"
fi

rm -f rx.dat  > /dev/null 2>&1
rm -f lvl.dat > /dev/null 2>&1
rm -f lvl.bin > /dev/null 2>&1
rm -f adc.bin > /dev/null 2>&1
rm -f raw1.dat >/dev/null 2>&1
rm -f phy1.dat >/dev/null 2>&1
rm -f out.pkt >/dev/null 2>&1
rm -f lvl2.dat >/dev/null 2>&1
rm -f lvl2.bin >/dev/null 2>&1
rm -f raw2.dat >/dev/null 2>&1
rm -f phy2.dat >/dev/null 2>&1
rm -f fft.dat >/dev/null 2>&1

echo "Finished!"
echo ""

